Bug 1383124 (CVE-2016-7071) - CVE-2016-7071 CFME: bypass authorization by altering VM ID
Summary: CVE-2016-7071 CFME: bypass authorization by altering VM ID
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7071
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20161020,repo...
Depends On: 1385188 1397500
Blocks: 1383121
TreeView+ depends on / blocked
 
Reported: 2016-10-10 01:55 UTC by Jeremy Choi
Modified: 2019-06-08 21:30 UTC (History)
16 users (show)

Fixed In Version: cfme 5.6.2.2, cfme 5.7.0.7
Doc Type: If docs needed, set a value
Doc Text:
It was found that the CloudForms did not properly apply permissions controls to VM IDs passed by users. A remote, authenticated attacker could use this flaw to execute arbitrary VMs on systems managed by CloudForms if they know the ID of the VM.
Clone Of:
Environment:
Last Closed: 2016-10-20 15:49:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2091 normal SHIPPED_LIVE Important: CFME 5.6.2.2 security, and bug fix update 2016-10-20 18:14:22 UTC

Description Jeremy Choi 2016-10-10 01:55:19 UTC
Felix Dewaleyne reported in https://bugzilla.redhat.com/show_bug.cgi?id=1382756:

Description of problem:
requests made from the web_ui  can allow a user not having any permission on a vm to run any action on it

Version-Release number of selected component (if applicable):
5.5.4

Comment 3 errata-xmlrpc 2016-10-20 14:14:39 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.6

Via RHSA-2016:2091 https://rhn.redhat.com/errata/RHSA-2016-2091.html


Note You need to log in before you can comment on or make changes to this bug.